Skip to main content
GET
/
v1
/
events
/
at-point
List events at point
curl --request GET \
  --url https://api.intrace.ai/v1/events/at-point \
  --header 'X-API-Key: <api-key>'
{
  "events": [
    {
      "id": "<string>",
      "title": "<string>",
      "event_category": "<string>",
      "event_type": "<string>",
      "severity": "<string>",
      "article_count": 123,
      "actor_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "event_subtype": "<string>",
      "event_date": "<string>",
      "event_date_end": "<string>",
      "location": "<string>",
      "location_country": "<string>",
      "coordinates": [
        123
      ],
      "salience_score": 123,
      "actors": [
        {
          "id": "<string>",
          "canonical_name": "<string>",
          "role": "<string>",
          "actor_category": "<string>",
          "country": "<string>",
          "position": "<string>",
          "role_description": "<string>"
        }
      ],
      "data_source": "<string>"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}
Useful for map click inspection when multiple events share near-identical coordinates.

Query Parameters

ParameterTypeRequiredDescription
latnumberYesLatitude
lngnumberYesLongitude
limitintegerNoMax rows
offsetintegerNoRow offset

Authorizations

X-API-Key
string
header
required

Query Parameters

lat
number
required
Required range: -90 <= x <= 90
lng
number
required
Required range: -180 <= x <= 180
limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

200 - application/json

Co-located events.

events
object[]
required
total
integer
required
limit
integer
required
offset
integer
required